#
# spec file for package compiz-plugins-experimental
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compiz-plugins-experimental
Version:        0.8.14
Release:        lp150.1.3
Summary:        OpenGL window and compositing manager experimental plugins
License:        GPL-2.0+ and GPL-2.0
Group:          System/GUI/Other
Url:            https://github.com/compiz-reloaded/compiz-plugins-experimental
Source:         https://github.com/compiz-reloaded/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bcop) >= 0.7.3
BuildRequires:  pkgconfig(cairo) >= 1.0
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(compiz) < 0.9
BuildRequires:  pkgconfig(compiz-animation) < 0.9
BuildRequires:  pkgconfig(compiz-cube) < 0.9
BuildRequires:  pkgconfig(compiz-mousepoll) < 0.9
BuildRequires:  pkgconfig(compiz-text) < 0.9
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(xscrnsaver)
Requires:       compiz < 0.9
Requires:       compiz-plugins-extra < 0.9
Requires:       compiz-plugins-main < 0.9
Recommends:     %{name}-lang
# compiz-plugins-unsupported was last used in openSUSE Leap 42.1.
Provides:       compiz-plugins-unsupported = %{version}
Obsoletes:      compiz-plugins-unsupported < %{version}
# compiz-plugin-photowheel was last used in openSUSE Leap 42.1.
Provides:       compiz-plugin-photowheel = %{version}
Obsoletes:      compiz-plugin-photowheel < %{version}
Provides:       compiz-plugins-git = %{version}
Obsoletes:      compiz-plugins-git < %{version}
ExcludeArch:    s390 s390x

%description
This package contains the experimental Compiz compositing
manager plugins.

Contains:
 * Atlantis: Render some sea animals inside of the transparent cube.
 * Cubemodel: Render still/animated 3D mesh models inside of the
   transparent cube.
 * Elements: Draw elements on screen.
 * Fakeargb: Makes a special colour of a window transparent.
 * Mswitch: Enables the switching of viewports with mouse gestures.
 * Snow: Displays falling snow over the desktop and windows.
 * Tile: Enables the tiling of windows on the desktop in a manner
   similar to awesome.
 * ... and more.

%lang_package

%package devel
Summary:        OpenGL window and compositing manager community plugins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkgconfig(bcop)
Requires:       pkgconfig(compiz) < 0.9
Requires:       pkgconfig(gl)
Recommends:     pkgconfig(cairo) >= 1.0
Recommends:     pkgconfig(cairo-xlib)
Recommends:     pkgconfig(compiz-animation) < 0.9
Recommends:     pkgconfig(compiz-animationaddon) < 0.9
Recommends:     pkgconfig(compiz-cube) < 0.9
Recommends:     pkgconfig(compiz-mousepoll) < 0.9
Recommends:     pkgconfig(compiz-text) < 0.9
Recommends:     pkgconfig(xscrnsaver)

%description devel
This package contains the community unsupported Compiz compositing
manager plugins.

This package contain development files required for developing
other plugins.

%prep
%setup -q

%if 0%{?suse_version} <= 1320 && !(0%{?sle_version} > 120100 && 0%{?is_opensuse})
# Workaround /usr/@DATADIRNAME@/locale/.
rm -r m4/
%endif

%build
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/compiz/*
%{_datadir}/compiz/*

%files lang -f %{name}.lang
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%{_includedir}/compiz/*

%changelog
* Tue Apr 18 2017 sor.alexei@meowr.ru
- Update to version 0.8.14:
  * Add models for the cubemodel plugin.
  * Many improvements to the elements plugin.
  * Increase bonanza animation speed.
  * Add a default enabled option for stars, fireflies, wizard and
    snow.
  * Improvements to the static plugin.
  * Exit on user input after starting screensaver manually.
  * Improve the default snow texture.
  * Increase maximum text size in workspacenames.
  * Add earth plugin.
  * Update translations.
- Add GPL-2.0 to the list of licences for the elements plugin.
- Workaround /usr/@DATADIRNAME@/locale/ on openSUSE Leap 42.1 and
  older.
* Tue Mar 22 2016 sor.alexei@meowr.ru
- Add a missing gcc-c++ dependency.
* Sat Feb 13 2016 sor.alexei@meowr.ru
- Update to 0.8.12:
  * Rename project from compiz-plugins-unsupported to
    compiz-plugins-experimental.
  * Plugin updates.
  * Don't fail if compiz-plugins-main and compiz-plugins-extra
    development files are not present.
  * Note that plugins are currently being excluded by that silently.
  * New plugins collected: Anaglyph, Simple Animations,
    Animations Plus, ADDialog, Fireflies,
    Freely Transformable Windows, Ghost, Photowheel, Put Plus,
    Screensaver, Smart Put, Cube Snow Globe, Stars,
    Stack Window Switcher, Static Windows, Swap Windows,
    Throw Windows, Toggle Decoration, Wizard, Workspace Naming.
- Rename compiz-plugins-unsupported package to
  compiz-plugins-experimental.
- Replace compiz-plugin-photowheel as it's now included.
- Only exclude s390 and s390x architectures.
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Update to 0.8.9.
- Add compiz-plugins-unsupported-lang.
- Split compiz-plugins-unsupported-devel.
- Update dependencies.
- Remove self-obsoletion.
- Spec cleanup.
- Add ARM to "ExclusiveArch".
* Thu Apr 28 2011 robertherb@arcor.de
- Update to version 0.8.8
* Fri Sep 19 2008 cyberorg@opensuse.org
- Release 0.7.8
* Sat May 31 2008 cyberorg@opensuse.org
- Keep it in sync with compiz 0.7.6
* Thu Apr  3 2008 cyberorg@cyberorg.info
- 0.7.4 release
- Update bcop dependency
- Send out sync request when changing window size
- Fix division-by-zero when snow speed is 100
* Fri Mar  7 2008 cyberorg@opensuse.org
- 0.7.2 development release
* Fri Feb  8 2008 cyberorg@cyberorg.info
- sync to the latest git
* Sat Dec 15 2007 cyberorg@cyberorg.info
- atlantis cleanup
* Tue Dec  4 2007 cyberorg@cyberorg.info
- sync to latest git
- 3D plugin back again
* Tue Oct 16 2007 cyberorg@cyberorg.info
- Update to release 0.6.0
- remove 3D plugin as it does not work properly any more
* Fri Aug 24 2007 cyberorg@cyberorg.info
- Sync to the latest git.
- new action settings rework
* Fri Aug 17 2007 cyberorg@cyberorg.info
- Add 3D plugin
* Mon Aug 13 2007 cyberorg@cyberorg.info
- Update to 0.5.2 release.
* Mon Aug  6 2007 cyberorg@cyberorg.info
- Clean up spec, thanks Stanislav Brabec
- remove gconf subpackage, include schemas in main
